---
layout: secure_and_protect_direction
title: "Group Direction - DataOps"
description: "Enabling customers to build data engineering toolchains to enable ELT of enterprise data for ML/AI use cases"
canonical_path: "/direction/learn/dataops/"
---

## On this page
{:.no_toc}

- TOC
{:toc}


## Overview

This group will be focused on data engineering toolchains to enable ELT of enterprise data for ML/AI use cases. The focus will be integrating in and expanding upon [Meltano](https://meltano.com/), GitLab's [open-source platform](https://gitlab.com/meltano/meltano) for building, running & orchestrating ELT pipelines leveraging [Singer taps](https://www.singer.io/) and targets and [dbt models](https://www.getdbt.com/), that you can run locally or easily deploy in production.

Learn more about [why GitLab is building Meltano](https://about.gitlab.com/blog/2020/05/18/why-gitlab-is-building-meltano-an-open-source-platform-for-elt-pipelines/).

> [Watch a video overview](https://about.gitlab.com/direction/learn/#stage-direction-walkthrough) of the GitLab Learn direction

### Goal

This group goes beyond enhancing our existing stages and offering. DataOps will help organizations turn disparate, raw data into data-driven decisions. This will enable new efficiencies within organizations using GitLab, and these new capabilities will be particularly attractive to a CTO, CIO, and data teams.

### Categories
- *Extract* → Collecting data from across organizations, applications, and data stores. Meltano today uses Singer.
- *Load* → Aggregating data engineering from disparate sources into a unified data lake. Compare to various data manipulation libraries and tools: Snowflake, Stitch Data, Oracle Data Integrator
- *Transform* → Manipulate data into standardized, cleaned, shaped, and verified data to be used for data science. Run DBT better, compare to DBT Cloud.

## Analyst Research

* [Forrester: Feature Stores Take On The Data In Data Science](https://www.forrester.com/fn/78nWuvBkhTNOFjZC9m1z6g)


<p align="center">
    <i><br>
    Last Reviewed: 2021-02-14<br>
    Last Updated: 2021-02-14
    </i>
</p>
